
#!/bin/bash
#BSUB -n 4
#BSUB -M 3200
#BSUB -oo output_%J.out
#BSUB -eo output_%J.err
#BSUB -J jupyter-notebook
#BSUB -W 03:00

##BSUB -q x11 (if you want to run the R kernel)

# get tunneling info
XDG_RUNTIME_DIR=""
port=$(shuf -i8000-9999 -n1)
node=$(hostname -s)
user=$(whoami)

# print tunneling instructions jupyter-log
echo -e "

MacOS or linux terminal command to create your ssh tunnel
ssh -N -L ${port}:${node}:${port} ${user}@nord1.bsc.es

Use a Browser on your local machine to go to:
localhost:${port}  (prefix w/ https:// if using password)
"

# load modules
source ../modules
# load R module if you want to use R kernel
# module load R

# DON'T USE ADDRESS BELOW.
# DO USE TOKEN BELOW
jupyter-lab --no-browser --port=${port} --ip=${node}
