#!/bin/bash
#SBATCH --ntasks 4
#SBATCH --time 03:00:00
#SBATCH --job-name jupyter-notebook
#SBATCH --output jupyter-notebook-%J.out
#SBATCH --error jupyter-notebook-%J.err

# get tunneling info
XDG_RUNTIME_DIR=""
port=$(shuf -i8000-9999 -n1)
node=$(hostname -s)
user=$(whoami)
# print tunneling instructions jupyter-log
echo -e "
MacOS or linux terminal command to create your ssh tunnel
ssh -N -L ${port}:${node}:${port} ${user}@plogin2.bsc.es
Use a Browser on your local machine to go to:
localhost:${port}  (prefix w/ https:// if using password)
"
# load modules or conda environments here
source ../modules
# Clean dask previous files
rm -r  worker-* *.lock
# DON'T USE ADDRESS BELOW.
# DO USE TOKEN BELOW
jupyter-lab --no-browser --port=${port} --ip=${node}
