
import os
from glob import glob
import sys
import getopt

domain = [-22, 30, 30, 50]

def process_files(filesdir, year, month):

    exp_files = glob(filesdir+"*{}{}.nc".format(year, month))
    for file in exp_files:
        subset_file = str.replace(
            file, 'esarchive', 'esarchive/oper/S2S-downscale')
        if not os.path.isfile(subset_file):
            print('Subsetting file: {}'.format(subset_file))
            try:
                os.system("cdo sellonlatbox,{} {} {}".format(','.join(str(i) for i in domain),
                                                             file, subset_file))
            except:
                print("Error subsetting file: {}".format(subset_file))

    print("Files ready!")


def main(argv):

    usage = 'cut_files.py -d <files_dir> -y <year> -m <month>'
    try:
        opts, args = getopt.getopt(
            argv, "hd:y:m:", ["help", "dir=", "year=", "month="])
    except getopt.GetoptError:
        print(usage)
        sys.exit(2)

    for opt, arg in opts:
        if opt == '-h':
            print(usage)
            sys.exit()
        elif opt in ("-d", "--dir"):
            filesdir = str(arg)
        elif opt in ("-y", "--year"):
            year = arg
        elif opt in ("-m", "--month"):
            month = arg

    #sys.path.insert( 
    #    0,
    #    os.path.expandvars("${MODULESHOME}/init/")
    #)
    #from env_modules_python import module
 
    ## Usage example
    #module("load", "CDO/1.9.8-foss-2015a")

    process_files(filesdir, year, month)


if __name__ == "__main__":
    main(sys.argv[1:])
